## org.apache.portals.bridges.struts.config
Class AbstractConfigComponent

    java.lang.Object
      org.apache.portals.bridges.struts.config.AbstractConfigComponent

Direct Known Subclasses:
  PortletURLTypes, RenderContextAttributes

public abstract class AbstractConfigComponent
extends Object

Nested Class Summary
`protected static class` `AbstractConfigComponent.SetParentRule`

Field Summary
`private boolean` `loaded`

Constructor Summary
`AbstractConfigComponent()`

Method Summary
`void` `afterLoad()`
`protected void` `checkLoaded()`
`abstract void` `configure(org.apache.commons.digester.Digester digester)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### loaded

    private boolean loaded

Constructor Detail

### AbstractConfigComponent

    public AbstractConfigComponent()

Method Detail

### checkLoaded

    protected void checkLoaded()

### configure

    public abstract void configure(org.apache.commons.digester.Digester digester)

### afterLoad

    public void afterLoad()

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.